/// <reference types="react" />
export declare const rootRouteRef: import("@backstage/core-plugin-api").RouteRef<undefined>;
export declare const projectGrowthAlertRef: import("@backstage/core-plugin-api").RouteRef<undefined>;
export declare const unlabeledDataflowAlertRef: import("@backstage/core-plugin-api").RouteRef<undefined>;
/** @public */
export declare const costInsightsPlugin: import("@backstage/core-plugin-api").BackstagePlugin<{
    root: import("@backstage/core-plugin-api").RouteRef<undefined>;
    growthAlerts: import("@backstage/core-plugin-api").RouteRef<undefined>;
    unlabeledDataflowAlerts: import("@backstage/core-plugin-api").RouteRef<undefined>;
}, {}>;
/** @public */
export declare const CostInsightsPage: () => import("react").JSX.Element;
/**
 * An extension for displaying costs on an entity page.
 *
 * @public
 */
export declare const EntityCostInsightsContent: () => import("react").JSX.Element;
/** @public */
export declare const CostInsightsProjectGrowthInstructionsPage: () => import("react").JSX.Element;
/** @public */
export declare const CostInsightsLabelDataflowInstructionsPage: () => import("react").JSX.Element;
